
Summary: Library for client-server games
Name: libggz
Version: 0.99.4
Release: 1%{?dist}

License: LGPLv2+
Group: Development/Libraries
URL: http://www.ggzgamingzone.org/

#Source0: http://ftp.belnet.be/packages/ggzgamingzone/ggz/%{version}/libggz-%{version}.tar.gz
Source0: http://mirrors.ibiblio.org/pub/mirrors/ggzgamingzone/ggz/snapshots/libggz-snapshot-0.99.4.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: libggz-snapshot-0.99.4-pkgconfig.patch

BuildRequires: libgcrypt-devel
BuildRequires: gnutls-devel
# nss support broken: FIXME
#BuildRequires: nss-devel

%description
GGZ (which is a recursive acronym for GGZ Gaming Zone) develops libraries,
games and game-related applications for client-server online gaming. Player
rankings, game spectators, AI players and a chat bot are part of this effort.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
%description devel
%{summary}.


%prep
%setup -q -n %{name}-snapshot-%{version}

%patch1 -p1 -b .pkgconfig


%build
%configure \
  --disable-debug \
  --disable-static \
  --with-gcrypt \
  --with-tls=GnuTLS

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

rm -f %{buildroot}/%{_libdir}/*.la


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig 


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libggz.so.*

%files devel
%{_includedir}/ggz*.h
%{_libdir}/libggz.so
%{_libdir}/pkgconfig/libggz.pc
%{_mandir}/man3/ggz*


%changelog
* Sun Aug 24 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.99.4-1
- libgzz-snapshot-0.99.4

* Wed Jun 25 2008 Tomas Mraz <tmraz@redhat.com> - 0.0.14.1-2
- rebuild with new gnutls

* Sun Feb 17 2008 Rex Dieter <rdieter@fedoraproject.org> 0.0.14.1-1
- ggz 0.0.14.1

* Fri Feb 08 2008 Rex Dieter <rdieter@fedoraproject.org> 0.0.14-3 
- respin (gcc43)

* Thu Sep 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.0.14-2
- cleanup

* Wed Sep  5 2007 Dries Verachtert <dries@ulyssis.org> - 0.0.14-1
- Updated to release 0.0.14.

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 0.0.12-1.2
- Rebuild for Fedora Core 5.

* Sat Dec 03 2005 Dries Verachtert <dries@ulyssis.org> - 0.0.12-1
- Initial package.
